cURL Functions
curl_copy_handle
cURL Functions
PHP Manual

# curl_close

(PHP 4 >= 4.0.2, PHP 5)

curl_close — Close a cURL session

### Description

void curl_close ( resource `$ch` )

Closes a cURL session and frees all resources. The cURL handle, `ch` , is also deleted.

### Parameters

`ch`

  A cURL handle returned by curl_init().

### Return Values

No value is returned.

### Examples

Example #1 Initializing a new cURL session and fetching a web page

`<?php
// create a new cURL resource
$ch = curl_init();
// set URL and other appropriate options
curl_setopt($ch, CURLOPT_URL, "http://www.example.com/");
curl_setopt($ch, CURLOPT_HEADER, 0);
// grab URL and pass it to the browser
curl_exec($ch);
// close cURL resource, and free up system resources
curl_close($ch);
?>`

### See Also

- curl_init()
- curl_multi_close()

cURL Functions
curl_copy_handle
cURL Functions
PHP Manual